import request from '@/config/axios'

export const talentPositionApi = {
	// 标签列表
	getTalentTagList: async () => {
		return await request.get({ 
			url: `/api/parse/get-talent-tag-list`, 
			baseURL: import.meta.env.VITE_BASE_URL 
		})
	},

	// 创建人才标签
	createTalentTag: async (data: any) => {
		return await request.post({ 
			url: `/api/parse/create-talent-tag`, 
			data, 
			baseURL: import.meta.env.VITE_BASE_URL
		})
	},

	// 更新人才标签
	updateTalentTag: async (tag_id: number, data: any) => {
		return await request.put({ 
			url: `/api/parse/update-talent-tag/${tag_id}`, 
			data, 
			baseURL: import.meta.env.VITE_BASE_URL 
		})
	},

	// 删除人才标签
	deleteTalentTag: async (tag_id: number) => {
		return await request.delete({ 
			url: `/api/parse/delete-talent-tag/${tag_id}`, 
			baseURL: import.meta.env.VITE_BASE_URL 
		})
	}
}